# Makefile.in generated by automake 1.16.1 from Makefile.am.
# @configure_input@

# Copyright (C) 1994-2018 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

VPATH = @srcdir@
am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkglibexecdir = $(libexecdir)/@PACKAGE@
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
check_PROGRAMS = $(am__EXEEXT_1) $(am__EXEEXT_1)
TESTS = $(am__EXEEXT_1) $(test_scripts)
@HAVE_PYTHON_TRUE@@HELP2MAN_TRUE@am__append_1 = $(pybin_scripts:=.pyman)
@HELP2MAN_TRUE@am__append_2 = $(help2man_MANS) $(help2man_MANS:.man=.man.tmp)
@HAVE_PYTHON_TRUE@am__append_3 = $(pybin_scripts) $(noinst_pybin_scripts)
@HAVE_PYTHON_TRUE@am__append_4 = $(pybin_scripts) $(noinst_pybin_scripts)
@HAVE_PYTHON_TRUE@am__append_5 = $(top_srcdir)/$(uninstalled_runner)
bin_PROGRAMS = lalpulsar_ComputeAntennaPattern$(EXEEXT) \
	lalpulsar_FstatMetric_v2$(EXEEXT) \
	lalpulsar_PrintDetectorState$(EXEEXT)
subdir = bin/Tools
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/gnuscripts/ax_compare_version.m4 \
	$(top_srcdir)/gnuscripts/lalpulsar.m4 \
	$(top_srcdir)/gnuscripts/lalsuite_build.m4 \
	$(top_srcdir)/gnuscripts/lalsuite_gccflags.m4 \
	$(top_srcdir)/gnuscripts/lalsuite_swig.m4 \
	$(top_srcdir)/gnuscripts/libtool.m4 \
	$(top_srcdir)/gnuscripts/ltoptions.m4 \
	$(top_srcdir)/gnuscripts/ltsugar.m4 \
	$(top_srcdir)/gnuscripts/ltversion.m4 \
	$(top_srcdir)/gnuscripts/lt~obsolete.m4 \
	$(top_srcdir)/gnuscripts/pkg.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(pkgpython_PYTHON) \
	$(pymodule_PYTHON) $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/lib/config.h \
	$(top_builddir)/lib/LALPulsarConfig.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(pkgpythondir)" \
	"$(DESTDIR)$(pymoduledir)"
am__EXEEXT_1 =
PROGRAMS = $(bin_PROGRAMS)
am_lalpulsar_ComputeAntennaPattern_OBJECTS =  \
	ComputeAntennaPattern.$(OBJEXT)
lalpulsar_ComputeAntennaPattern_OBJECTS =  \
	$(am_lalpulsar_ComputeAntennaPattern_OBJECTS)
lalpulsar_ComputeAntennaPattern_LDADD = $(LDADD)
lalpulsar_ComputeAntennaPattern_DEPENDENCIES =
AM_V_lt = $(am__v_lt_@AM_V@)
am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
am__v_lt_0 = --silent
am__v_lt_1 = 
am_lalpulsar_FstatMetric_v2_OBJECTS = FstatMetric_v2.$(OBJEXT)
lalpulsar_FstatMetric_v2_OBJECTS =  \
	$(am_lalpulsar_FstatMetric_v2_OBJECTS)
lalpulsar_FstatMetric_v2_LDADD = $(LDADD)
lalpulsar_FstatMetric_v2_DEPENDENCIES =
am_lalpulsar_PrintDetectorState_OBJECTS =  \
	PrintDetectorState.$(OBJEXT)
lalpulsar_PrintDetectorState_OBJECTS =  \
	$(am_lalpulsar_PrintDetectorState_OBJECTS)
lalpulsar_PrintDetectorState_LDADD = $(LDADD)
lalpulsar_PrintDetectorState_DEPENDENCIES =
AM_V_P = $(am__v_P_@AM_V@)
am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_@AM_V@)
am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_@AM_V@)
am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/lib
depcomp = $(SHELL) $(top_srcdir)/gnuscripts/depcomp
am__maybe_remake_depfiles = depfiles
am__depfiles_remade = ./$(DEPDIR)/ComputeAntennaPattern.Po \
	./$(DEPDIR)/FstatMetric_v2.Po \
	./$(DEPDIR)/PrintDetectorState.Po
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_@AM_V@)
am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_@AM_V@)
am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(lalpulsar_ComputeAntennaPattern_SOURCES) \
	$(lalpulsar_FstatMetric_v2_SOURCES) \
	$(lalpulsar_PrintDetectorState_SOURCES)
DIST_SOURCES = $(lalpulsar_ComputeAntennaPattern_SOURCES) \
	$(lalpulsar_FstatMetric_v2_SOURCES) \
	$(lalpulsar_PrintDetectorState_SOURCES)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__py_compile = PYTHON=$(PYTHON) $(SHELL) $(py_compile)
am__pep3147_tweak = \
  sed -e 's|\.py$$||' -e 's|[^/]*$$|&.*.pyc\n&.*.pyo|'
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
am__tty_colors_dummy = \
  mgn= red= grn= lgn= blu= brg= std=; \
  am__color_tests=no
am__tty_colors = { \
  $(am__tty_colors_dummy); \
  if test "X$(AM_COLOR_TESTS)" = Xno; then \
    am__color_tests=no; \
  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
    am__color_tests=yes; \
  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
    am__color_tests=yes; \
  fi; \
  if test $$am__color_tests = yes; then \
    red='[0;31m'; \
    grn='[0;32m'; \
    lgn='[1;32m'; \
    blu='[1;34m'; \
    mgn='[0;35m'; \
    brg='[1m'; \
    std='[m'; \
  fi; \
}
am__recheck_rx = ^[ 	]*:recheck:[ 	]*
am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
# A command that, given a newline-separated list of test names on the
# standard input, print the name of the tests that are to be re-run
# upon "make recheck".
am__list_recheck_tests = $(AWK) '{ \
  recheck = 1; \
  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
    { \
      if (rc < 0) \
        { \
          if ((getline line2 < ($$0 ".log")) < 0) \
	    recheck = 0; \
          break; \
        } \
      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
        { \
          recheck = 0; \
          break; \
        } \
      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
        { \
          break; \
        } \
    }; \
  if (recheck) \
    print $$0; \
  close ($$0 ".trs"); \
  close ($$0 ".log"); \
}'
# A command that, given a newline-separated list of test names on the
# standard input, create the global log from their .trs and .log files.
am__create_global_log = $(AWK) ' \
function fatal(msg) \
{ \
  print "fatal: making $@: " msg | "cat >&2"; \
  exit 1; \
} \
function rst_section(header) \
{ \
  print header; \
  len = length(header); \
  for (i = 1; i <= len; i = i + 1) \
    printf "="; \
  printf "\n\n"; \
} \
{ \
  copy_in_global_log = 1; \
  global_test_result = "RUN"; \
  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
    { \
      if (rc < 0) \
         fatal("failed to read from " $$0 ".trs"); \
      if (line ~ /$(am__global_test_result_rx)/) \
        { \
          sub("$(am__global_test_result_rx)", "", line); \
          sub("[ 	]*$$", "", line); \
          global_test_result = line; \
        } \
      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
        copy_in_global_log = 0; \
    }; \
  if (copy_in_global_log) \
    { \
      rst_section(global_test_result ": " $$0); \
      while ((rc = (getline line < ($$0 ".log"))) != 0) \
      { \
        if (rc < 0) \
          fatal("failed to read from " $$0 ".log"); \
        print line; \
      }; \
      printf "\n"; \
    }; \
  close ($$0 ".trs"); \
  close ($$0 ".log"); \
}'
# Restructured Text title.
am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
# Solaris 10 'make', and several other traditional 'make' implementations,
# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
# by disabling -e (using the XSI extension "set +e") if it's set.
am__sh_e_setup = case $$- in *e*) set +e;; esac
# Default flags passed to test drivers.
am__common_driver_flags = \
  --color-tests "$$am__color_tests" \
  --enable-hard-errors "$$am__enable_hard_errors" \
  --expect-failure "$$am__expect_failure"
# To be inserted before the command running the test.  Creates the
# directory for the log if needed.  Stores in $dir the directory
# containing $f, in $tst the test, in $log the log.  Executes the
# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
# will run the test scripts (or their associated LOG_COMPILER, if
# thy have one).
am__check_pre = \
$(am__sh_e_setup);					\
$(am__vpath_adj_setup) $(am__vpath_adj)			\
$(am__tty_colors);					\
srcdir=$(srcdir); export srcdir;			\
case "$@" in						\
  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
    *) am__odir=.;; 					\
esac;							\
test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
if test -f "./$$f"; then dir=./;			\
elif test -f "$$f"; then dir=;				\
else dir="$(srcdir)/"; fi;				\
tst=$$dir$$f; log='$@'; 				\
if test -n '$(DISABLE_HARD_ERRORS)'; then		\
  am__enable_hard_errors=no; 				\
else							\
  am__enable_hard_errors=yes; 				\
fi; 							\
case " $(XFAIL_TESTS) " in				\
  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
    am__expect_failure=yes;;				\
  *)							\
    am__expect_failure=no;;				\
esac; 							\
$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
# A shell command to get the names of the tests scripts with any registered
# extension removed (i.e., equivalently, the names of the test logs, with
# the '.log' extension removed).  The result is saved in the shell variable
# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
# since that might cause problem with VPATH rewrites for suffix-less tests.
# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
am__set_TESTS_bases = \
  bases='$(TEST_LOGS)'; \
  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  bases=`echo $$bases`
RECHECK_LOGS = $(TEST_LOGS)
AM_RECURSIVE_TARGETS = check recheck
TEST_SUITE_LOG = test-suite.log
am__test_logs1 = $(TESTS:=.log)
am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
am__test_logs3 = $(am__test_logs2:.sh.log=.log)
SH_LOG_DRIVER = $(SHELL) $(top_srcdir)/gnuscripts/test-driver
SH_LOG_COMPILE = $(SH_LOG_COMPILER) $(AM_SH_LOG_FLAGS) $(SH_LOG_FLAGS)
am__set_b = \
  case '$@' in \
    */*) \
      case '$*' in \
        */*) b='$*';; \
          *) b=`echo '$@' | sed 's/\.log$$//'`; \
       esac;; \
    *) \
      b='$*';; \
  esac
TEST_LOGS = $(am__test_logs3:.py.log=.log)
PY_LOG_DRIVER = $(SHELL) $(top_srcdir)/gnuscripts/test-driver
PY_LOG_COMPILE = $(PY_LOG_COMPILER) $(AM_PY_LOG_FLAGS) $(PY_LOG_FLAGS)
am__DIST_COMMON = $(srcdir)/Makefile.in \
	$(top_srcdir)/gnuscripts/depcomp \
	$(top_srcdir)/gnuscripts/lalpulsar_bin.am \
	$(top_srcdir)/gnuscripts/lalsuite_help2man.am \
	$(top_srcdir)/gnuscripts/lalsuite_python.am \
	$(top_srcdir)/gnuscripts/test-driver
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
pkgincludedir = @pkgincludedir@
ACLOCAL = @ACLOCAL@
AMTAR = @AMTAR@
AM_CFLAGS = @AM_CFLAGS@
AM_CPPFLAGS = @AM_CPPFLAGS@
AM_CXXFLAGS = @AM_CXXFLAGS@
AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
AM_FCFLAGS = @AM_FCFLAGS@
AM_FFLAGS = @AM_FFLAGS@
AM_LDFLAGS = @AM_LDFLAGS@
AR = @AR@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AVX2_CFLAGS = @AVX2_CFLAGS@
AVX_CFLAGS = @AVX_CFLAGS@
AWK = @AWK@
BASE_VERSION = @BASE_VERSION@
BIBTEX = @BIBTEX@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFITSIO_CFLAGS = @CFITSIO_CFLAGS@
CFITSIO_LIBS = @CFITSIO_LIBS@
CFLAGS = @CFLAGS@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CUDA_CFLAGS = @CUDA_CFLAGS@
CUDA_LIBS = @CUDA_LIBS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DISTCHECK_CONFIGURE_FLAGS = @DISTCHECK_CONFIGURE_FLAGS@
DLLTOOL = @DLLTOOL@
DOXYGEN = @DOXYGEN@
DOXYGEN_ENABLED_SECTIONS = @DOXYGEN_ENABLED_SECTIONS@
DOXYGEN_INSTALL_DIRMAP = @DOXYGEN_INSTALL_DIRMAP@
DOXYGEN_MATHJAXDIR = @DOXYGEN_MATHJAXDIR@
DOXYGEN_NAVIGATION_TABS = @DOXYGEN_NAVIGATION_TABS@
DOXYGEN_TAGFILES = @DOXYGEN_TAGFILES@
DOXYGEN_WARNING_REGEX = @DOXYGEN_WARNING_REGEX@
DSYMUTIL = @DSYMUTIL@
DUMPBIN = @DUMPBIN@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
EXTRA_SWIG_OCTAVE_LDFLAGS = @EXTRA_SWIG_OCTAVE_LDFLAGS@
EXTRA_SWIG_PYTHON_LDFLAGS = @EXTRA_SWIG_PYTHON_LDFLAGS@
F77 = @F77@
FFLAGS = @FFLAGS@
FFTW3_CFLAGS = @FFTW3_CFLAGS@
FFTW3_LIBS = @FFTW3_LIBS@
FGREP = @FGREP@
FILECMD = @FILECMD@
GIT = @GIT@
GREP = @GREP@
GSL_CFLAGS = @GSL_CFLAGS@
GSL_LIBS = @GSL_LIBS@
HELP2MAN = @HELP2MAN@
INSTALL = @INSTALL@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
LALFRAME_BIN_PATH = @LALFRAME_BIN_PATH@
LALFRAME_CFLAGS = @LALFRAME_CFLAGS@
LALFRAME_DATA_PATH = @LALFRAME_DATA_PATH@
LALFRAME_HTMLDIR = @LALFRAME_HTMLDIR@
LALFRAME_LIBS = @LALFRAME_LIBS@
LALFRAME_OCTAVE_PATH = @LALFRAME_OCTAVE_PATH@
LALFRAME_PYTHON_PATH = @LALFRAME_PYTHON_PATH@
LALFRAME_VERSION = @LALFRAME_VERSION@
LALINFERENCE_BIN_PATH = @LALINFERENCE_BIN_PATH@
LALINFERENCE_CFLAGS = @LALINFERENCE_CFLAGS@
LALINFERENCE_DATA_PATH = @LALINFERENCE_DATA_PATH@
LALINFERENCE_HTMLDIR = @LALINFERENCE_HTMLDIR@
LALINFERENCE_LIBS = @LALINFERENCE_LIBS@
LALINFERENCE_OCTAVE_PATH = @LALINFERENCE_OCTAVE_PATH@
LALINFERENCE_PYTHON_PATH = @LALINFERENCE_PYTHON_PATH@
LALINFERENCE_VERSION = @LALINFERENCE_VERSION@
LALSIMULATION_BIN_PATH = @LALSIMULATION_BIN_PATH@
LALSIMULATION_CFLAGS = @LALSIMULATION_CFLAGS@
LALSIMULATION_DATA_PATH = @LALSIMULATION_DATA_PATH@
LALSIMULATION_HTMLDIR = @LALSIMULATION_HTMLDIR@
LALSIMULATION_LIBS = @LALSIMULATION_LIBS@
LALSIMULATION_OCTAVE_PATH = @LALSIMULATION_OCTAVE_PATH@
LALSIMULATION_PYTHON_PATH = @LALSIMULATION_PYTHON_PATH@
LALSIMULATION_VERSION = @LALSIMULATION_VERSION@
LALSUITE_BUILD = @LALSUITE_BUILD@
LALSUITE_PACKAGES = @LALSUITE_PACKAGES@
LALSUPPORT_BIN_PATH = @LALSUPPORT_BIN_PATH@
LALSUPPORT_CFLAGS = @LALSUPPORT_CFLAGS@
LALSUPPORT_DATA_PATH = @LALSUPPORT_DATA_PATH@
LALSUPPORT_HTMLDIR = @LALSUPPORT_HTMLDIR@
LALSUPPORT_LIBS = @LALSUPPORT_LIBS@
LALSUPPORT_OCTAVE_PATH = @LALSUPPORT_OCTAVE_PATH@
LALSUPPORT_PYTHON_PATH = @LALSUPPORT_PYTHON_PATH@
LALSUPPORT_VERSION = @LALSUPPORT_VERSION@
LAL_BIN_PATH = @LAL_BIN_PATH@
LAL_CFLAGS = @LAL_CFLAGS@
LAL_DATA_PATH = @LAL_DATA_PATH@
LAL_HTMLDIR = @LAL_HTMLDIR@
LAL_LIBS = @LAL_LIBS@
LAL_OCTAVE_PATH = @LAL_OCTAVE_PATH@
LAL_PYTHON_PATH = @LAL_PYTHON_PATH@
LAL_SYSTEM_INCLUDES = @LAL_SYSTEM_INCLUDES@
LAL_VERSION = @LAL_VERSION@
LD = @LD@
LDADD = @LDADD@
LDFLAGS = @LDFLAGS@
LIBAGE = @LIBAGE@
LIBCURRENT = @LIBCURRENT@
LIBMAJOR = @LIBMAJOR@
LIBOBJS = @LIBOBJS@
LIBREVISION = @LIBREVISION@
LIBS = @LIBS@
LIBTOOL = @LIBTOOL@
LIBVERSION = @LIBVERSION@
LIPO = @LIPO@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
MAKEINFO = @MAKEINFO@
MANIFEST_TOOL = @MANIFEST_TOOL@
MARKDOWN2HTML = @MARKDOWN2HTML@
MIN_LALFRAME_VERSION = @MIN_LALFRAME_VERSION@
MIN_LALINFERENCE_VERSION = @MIN_LALINFERENCE_VERSION@
MIN_LALSIMULATION_VERSION = @MIN_LALSIMULATION_VERSION@
MIN_LAL_VERSION = @MIN_LAL_VERSION@
MIN_NUMPY_VERSION = @MIN_NUMPY_VERSION@
MIN_SWIG_VERSION = @MIN_SWIG_VERSION@
MKDIR_P = @MKDIR_P@
NIGHTLY_VERSION = @NIGHTLY_VERSION@
NM = @NM@
NMEDIT = @NMEDIT@
NVCC = @NVCC@
NVCC_CFLAGS = @NVCC_CFLAGS@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
OCTAVE = @OCTAVE@
OPENMP_CFLAGS = @OPENMP_CFLAGS@
OTOOL = @OTOOL@
OTOOL64 = @OTOOL64@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_NAME_LCASE = @PACKAGE_NAME_LCASE@
PACKAGE_NAME_NOLAL = @PACKAGE_NAME_NOLAL@
PACKAGE_NAME_UCASE = @PACKAGE_NAME_UCASE@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_URL = @PACKAGE_URL@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PERL = @PERL@
PKG_CONFIG = @PKG_CONFIG@
PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
POSTCONFIG_CFLAGS = @POSTCONFIG_CFLAGS@
POSTCONFIG_CPPFLAGS = @POSTCONFIG_CPPFLAGS@
POSTCONFIG_CXXFLAGS = @POSTCONFIG_CXXFLAGS@
POSTCONFIG_FCFLAGS = @POSTCONFIG_FCFLAGS@
POSTCONFIG_FFLAGS = @POSTCONFIG_FFLAGS@
POSTCONFIG_LDFLAGS = @POSTCONFIG_LDFLAGS@
PYTHON = @PYTHON@
PYTHON_EXEC_PREFIX = @PYTHON_EXEC_PREFIX@
PYTHON_PLATFORM = @PYTHON_PLATFORM@
PYTHON_PREFIX = @PYTHON_PREFIX@
PYTHON_VERSION = @PYTHON_VERSION@
RANLIB = @RANLIB@
SED = @SED@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
SISTR_LIBS = @SISTR_LIBS@
SSE2_CFLAGS = @SSE2_CFLAGS@
SSE3_CFLAGS = @SSE3_CFLAGS@
SSE4_1_CFLAGS = @SSE4_1_CFLAGS@
SSE4_2_CFLAGS = @SSE4_2_CFLAGS@
SSE_CFLAGS = @SSE_CFLAGS@
SSSE3_CFLAGS = @SSSE3_CFLAGS@
STRIP = @STRIP@
SWIG = @SWIG@
SWIG_CPPFLAGS = @SWIG_CPPFLAGS@
SWIG_DEPDIR = @SWIG_DEPDIR@
SWIG_DEPENDENCIES = @SWIG_DEPENDENCIES@
SWIG_LDFLAGS = @SWIG_LDFLAGS@
SWIG_LTLIBDIR = @SWIG_LTLIBDIR@
SWIG_OCTAVE_CPPFLAGS = @SWIG_OCTAVE_CPPFLAGS@
SWIG_OCTAVE_CPPFLAGS_IOCTAVE = @SWIG_OCTAVE_CPPFLAGS_IOCTAVE@
SWIG_OCTAVE_CXXFLAGS = @SWIG_OCTAVE_CXXFLAGS@
SWIG_OCTAVE_FLAGS = @SWIG_OCTAVE_FLAGS@
SWIG_OCTAVE_LDFLAGS = @SWIG_OCTAVE_LDFLAGS@
SWIG_PYTHON_CFLAGS = @SWIG_PYTHON_CFLAGS@
SWIG_PYTHON_CPPFLAGS = @SWIG_PYTHON_CPPFLAGS@
SWIG_PYTHON_FLAGS = @SWIG_PYTHON_FLAGS@
SWIG_PYTHON_FLAT_NAMESPACE_LDFLAG = @SWIG_PYTHON_FLAT_NAMESPACE_LDFLAG@
SWIG_PYTHON_LDFLAGS = @SWIG_PYTHON_LDFLAGS@
SWIG_SOEXT = @SWIG_SOEXT@
SW_VERS = @SW_VERS@
TESTS_ENV_CONFIG_VARS = @TESTS_ENV_CONFIG_VARS@
VERSION = @VERSION@
abs_builddir = @abs_builddir@
abs_srcdir = @abs_srcdir@
abs_top_builddir = @abs_top_builddir@
abs_top_srcdir = @abs_top_srcdir@
ac_configure_args = @ac_configure_args@
ac_ct_AR = @ac_ct_AR@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
ac_ct_F77 = @ac_ct_F77@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__tar = @am__tar@
am__untar = @am__untar@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
builddir = @builddir@
configure_date = @configure_date@
datadir = @datadir@
datarootdir = @datarootdir@
docdir = @docdir@
dvidir = @dvidir@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
htmldir = @htmldir@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localedir = @localedir@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
octexecdir = @octexecdir@
oldincludedir = @oldincludedir@
pdfdir = @pdfdir@
pkgpyexecdir = @pkgpyexecdir@
pkgpythondir = @pkgpythondir@
prefix = @prefix@
program_transform_name = @program_transform_name@
psdir = @psdir@
pyexecdir = @pyexecdir@
python_exec_prefix = @python_exec_prefix@
python_prefix = @python_prefix@
pythondir = @pythondir@
runstatedir = @runstatedir@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
srcdir = @srcdir@
swig__depfile_include_post = @swig__depfile_include_post@
swig__depfile_include_pre = @swig__depfile_include_pre@
sysconfdir = @sysconfdir@
target_alias = @target_alias@
top_build_prefix = @top_build_prefix@
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
BUILT_SOURCES = $(am__append_3)
EXTRA_DIST = $(test_scripts) $(test_extra_files) $(test_script_runner) \
	$(test_script_compiler) $(am__append_5)
MOSTLYCLEANFILES = $(am__append_2) $(am__append_4)
TESTS_ENVIRONMENT = \
	$(TESTS_ENV_CONFIG_VARS) \
	export LC_ALL; LC_ALL=C; \
	export OMP_NUM_THREADS; OMP_NUM_THREADS=2; \
	export LAL_DEBUG_LEVEL; LAL_DEBUG_LEVEL="msglvl1,memdbg,${EXTRA_LAL_DEBUG_LEVEL}"; \
	export LAL_TEST_SRCDIR; LAL_TEST_SRCDIR="$(abs_srcdir)"; \
	export LAL_TEST_BUILDDIR; LAL_TEST_BUILDDIR="$(abs_builddir)"; \
	export LAL_TEST_PKGDATADIR; LAL_TEST_PKGDATADIR="$(abs_top_srcdir)/lib"; \
	export LAL_DATA_PATH; LAL_DATA_PATH="$${LAL_TEST_PKGDATADIR}:$(LAL_DATA_PATH)"; \
	export PATH; PATH=".:$(LAL_BIN_PATH):$${PATH}"; \
	export PYTHON; PYTHON="$(PYTHON)"; \
	lalsuite_path="$(abs_top_builddir)/python"; \
	test "x$(builddir)" = "x$(srcdir)" || lalsuite_path="$${lalsuite_path}:$(abs_top_srcdir)/python"; \
	test "x$(LAL_PYTHON_PATH)" = x || lalsuite_path="$${lalsuite_path}:$(LAL_PYTHON_PATH)"; \
	test "x$${PYTHONPATH}" = x || lalsuite_path="$${lalsuite_path}:$${PYTHONPATH}"; \
	export PYTHONPATH; PYTHONPATH="$${lalsuite_path}"; \
	$(test_script_compiler__longtests); \
	$(END_OF_LIST)

test_programs = 

# Add shell test scripts to this variable
test_scripts = testComputeAntennaPattern.sh testFstatMetric_v2.sh

# Add any helper programs required by tests to this variable
test_helpers =

# Add any extra files required by tests (e.g. helper scripts) to this variable
test_extra_files =
test_script_runner = $(top_srcdir)/gnuscripts/lalsuite_run_uninstalled
test_script_runner_args = --verbose '$(abs_top_builddir)' '$(abs_builddir)' '$(LDADD)'
test_script_compiler = $(top_srcdir)/gnuscripts/lalpulsar_bin_test_compiler
test_script_compiler__longtests = \
	skip_longtest=; \
	if [ "X$(subdir)" = "Xbin/longtests" ]; then \
		if [ "X$${LONGTESTS}" != X ]; then \
			echo "RUNNING: $$f"; \
		else \
			skip_longtest=1; \
		fi \
        fi

TEST_EXTENSIONS = .sh .py
SH_LOG_COMPILER = $(test_script_compiler) "$${skip_longtest}" sh "$(test_extra_files)" "$(test_script_runner) $(test_script_runner_args)"
PY_LOG_COMPILER = $(test_script_compiler) "$${skip_longtest}" py "$(test_extra_files)" "$(test_script_runner) $(test_script_runner_args)"
@HELP2MAN_TRUE@help2man_MANS = $(bin_PROGRAMS:=.man) $(am__append_1)
SUFFIXES = .py
@HAVE_PYTHON_TRUE@uninstalled_runner = gnuscripts/lalsuite_run_uninstalled
@HAVE_PYTHON_TRUE@uninstalled_compiler = $(abs_top_srcdir)/$(uninstalled_runner) '$(abs_top_builddir)' '$(abs_builddir)' '$(LDADD)'
@HAVE_PYTHON_FALSE@pymoduledir = 
@HAVE_PYTHON_FALSE@pymodule_PYTHON = 
@HAVE_PYTHON_FALSE@pybin_scripts = 
@HAVE_PYTHON_FALSE@noinst_pybin_scripts = 
@HAVE_PYTHON_FALSE@pkgpython_PYTHON = 
lalpulsar_ComputeAntennaPattern_SOURCES = \
	ComputeAntennaPattern.c \
	$(END_OF_LIST)

lalpulsar_FstatMetric_v2_SOURCES = \
	FstatMetric_v2.c \
	$(END_OF_LIST)

lalpulsar_PrintDetectorState_SOURCES = \
	PrintDetectorState.c \
	$(END_OF_LIST)

all: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) all-am

.SUFFIXES:
.SUFFIXES: .py .c .lo .log .o .obj .py$(EXEEXT) .sh .sh$(EXEEXT) .trs
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/gnuscripts/lalpulsar_bin.am $(top_srcdir)/gnuscripts/lalsuite_help2man.am $(top_srcdir)/gnuscripts/lalsuite_python.am $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign bin/Tools/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign bin/Tools/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
	esac;
$(top_srcdir)/gnuscripts/lalpulsar_bin.am $(top_srcdir)/gnuscripts/lalsuite_help2man.am $(top_srcdir)/gnuscripts/lalsuite_python.am $(am__empty):

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
	fi; \
	for p in $$list; do echo "$$p $$p"; done | \
	sed 's/$(EXEEXT)$$//' | \
	while read p p1; do if test -f $$p \
	 || test -f $$p1 \
	  ; then echo "$$p"; echo "$$p"; else :; fi; \
	done | \
	sed -e 'p;s,.*/,,;n;h' \
	    -e 's|.*|.|' \
	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
	sed 'N;N;N;s,\n, ,g' | \
	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
	    else { print "f", $$3 "/" $$4, $$1; } } \
	  END { for (d in files) print "f", d, files[d] }' | \
	while read type dir files; do \
	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
	    test -z "$$files" || { \
	    echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
	    $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
	    } \
	; done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
	files=`for p in $$list; do echo "$$p"; done | \
	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
	      -e 's/$$/$(EXEEXT)/' \
	`; \
	test -n "$$list" || exit 0; \
	echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
	cd "$(DESTDIR)$(bindir)" && rm -f $$files

clean-binPROGRAMS:
	@list='$(bin_PROGRAMS)'; test -n "$$list" || exit 0; \
	echo " rm -f" $$list; \
	rm -f $$list || exit $$?; \
	test -n "$(EXEEXT)" || exit 0; \
	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
	echo " rm -f" $$list; \
	rm -f $$list

clean-checkPROGRAMS:
	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
	echo " rm -f" $$list; \
	rm -f $$list || exit $$?; \
	test -n "$(EXEEXT)" || exit 0; \
	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
	echo " rm -f" $$list; \
	rm -f $$list

lalpulsar_ComputeAntennaPattern$(EXEEXT): $(lalpulsar_ComputeAntennaPattern_OBJECTS) $(lalpulsar_ComputeAntennaPattern_DEPENDENCIES) $(EXTRA_lalpulsar_ComputeAntennaPattern_DEPENDENCIES) 
	@rm -f lalpulsar_ComputeAntennaPattern$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(lalpulsar_ComputeAntennaPattern_OBJECTS) $(lalpulsar_ComputeAntennaPattern_LDADD) $(LIBS)

lalpulsar_FstatMetric_v2$(EXEEXT): $(lalpulsar_FstatMetric_v2_OBJECTS) $(lalpulsar_FstatMetric_v2_DEPENDENCIES) $(EXTRA_lalpulsar_FstatMetric_v2_DEPENDENCIES) 
	@rm -f lalpulsar_FstatMetric_v2$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(lalpulsar_FstatMetric_v2_OBJECTS) $(lalpulsar_FstatMetric_v2_LDADD) $(LIBS)

lalpulsar_PrintDetectorState$(EXEEXT): $(lalpulsar_PrintDetectorState_OBJECTS) $(lalpulsar_PrintDetectorState_DEPENDENCIES) $(EXTRA_lalpulsar_PrintDetectorState_DEPENDENCIES) 
	@rm -f lalpulsar_PrintDetectorState$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(lalpulsar_PrintDetectorState_OBJECTS) $(lalpulsar_PrintDetectorState_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ComputeAntennaPattern.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/FstatMetric_v2.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/PrintDetectorState.Po@am__quote@ # am--include-marker

$(am__depfiles_remade):
	@$(MKDIR_P) $(@D)
	@echo '# dummy' >$@-t && $(am__mv) $@-t $@

am--depfiles: $(am__depfiles_remade)

.c.o:
@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<

.c.obj:
@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.c.lo:
@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
@am__fastdepCC_TRUE@	$(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
install-pkgpythonPYTHON: $(pkgpython_PYTHON)
	@$(NORMAL_INSTALL)
	@list='$(pkgpython_PYTHON)'; dlist=; list2=; test -n "$(pkgpythondir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(pkgpythondir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(pkgpythondir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then b=; else b="$(srcdir)/"; fi; \
	  if test -f $$b$$p; then \
	    $(am__strip_dir) \
	    dlist="$$dlist $$f"; \
	    list2="$$list2 $$b$$p"; \
	  else :; fi; \
	done; \
	for file in $$list2; do echo $$file; done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pkgpythondir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(pkgpythondir)" || exit $$?; \
	done || exit $$?; \
	if test -n "$$dlist"; then \
	  $(am__py_compile) --destdir "$(DESTDIR)" \
	                    --basedir "$(pkgpythondir)" $$dlist; \
	else :; fi

uninstall-pkgpythonPYTHON:
	@$(NORMAL_UNINSTALL)
	@list='$(pkgpython_PYTHON)'; test -n "$(pkgpythondir)" || list=; \
	py_files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	test -n "$$py_files" || exit 0; \
	dir='$(DESTDIR)$(pkgpythondir)'; \
	pyc_files=`echo "$$py_files" | sed 's|$$|c|'`; \
	pyo_files=`echo "$$py_files" | sed 's|$$|o|'`; \
	st=0; \
	for files in "$$py_files" "$$pyc_files" "$$pyo_files"; do \
	  $(am__uninstall_files_from_dir) || st=$$?; \
	done; \
	dir='$(DESTDIR)$(pkgpythondir)/__pycache__'; \
	echo "$$py_files" | $(am__pep3147_tweak) | $(am__base_list) | \
	  while read files; do \
	    $(am__uninstall_files_from_dir) || st=$$?; \
	  done || exit $$?; \
	exit $$st
install-pymodulePYTHON: $(pymodule_PYTHON)
	@$(NORMAL_INSTALL)
	@list='$(pymodule_PYTHON)'; dlist=; list2=; test -n "$(pymoduledir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(pymoduledir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(pymoduledir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then b=; else b="$(srcdir)/"; fi; \
	  if test -f $$b$$p; then \
	    $(am__strip_dir) \
	    dlist="$$dlist $$f"; \
	    list2="$$list2 $$b$$p"; \
	  else :; fi; \
	done; \
	for file in $$list2; do echo $$file; done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pymoduledir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(pymoduledir)" || exit $$?; \
	done || exit $$?; \
	if test -n "$$dlist"; then \
	  $(am__py_compile) --destdir "$(DESTDIR)" \
	                    --basedir "$(pymoduledir)" $$dlist; \
	else :; fi

uninstall-pymodulePYTHON:
	@$(NORMAL_UNINSTALL)
	@list='$(pymodule_PYTHON)'; test -n "$(pymoduledir)" || list=; \
	py_files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	test -n "$$py_files" || exit 0; \
	dir='$(DESTDIR)$(pymoduledir)'; \
	pyc_files=`echo "$$py_files" | sed 's|$$|c|'`; \
	pyo_files=`echo "$$py_files" | sed 's|$$|o|'`; \
	st=0; \
	for files in "$$py_files" "$$pyc_files" "$$pyo_files"; do \
	  $(am__uninstall_files_from_dir) || st=$$?; \
	done; \
	dir='$(DESTDIR)$(pymoduledir)/__pycache__'; \
	echo "$$py_files" | $(am__pep3147_tweak) | $(am__base_list) | \
	  while read files; do \
	    $(am__uninstall_files_from_dir) || st=$$?; \
	  done || exit $$?; \
	exit $$st

ID: $(am__tagged_files)
	$(am__define_uniq_tagged_files); mkid -fID $$unique
tags: tags-am
TAGS: tags

tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	set x; \
	here=`pwd`; \
	$(am__define_uniq_tagged_files); \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: ctags-am

CTAGS: ctags
ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	$(am__define_uniq_tagged_files); \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"
cscopelist: cscopelist-am

cscopelist-am: $(am__tagged_files)
	list='$(am__tagged_files)'; \
	case "$(srcdir)" in \
	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
	  *) sdir=$(subdir)/$(srcdir) ;; \
	esac; \
	for i in $$list; do \
	  if test -f "$$i"; then \
	    echo "$(subdir)/$$i"; \
	  else \
	    echo "$$sdir/$$i"; \
	  fi; \
	done >> $(top_builddir)/cscope.files

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

# Recover from deleted '.trs' file; this should ensure that
# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
# to avoid problems with "make -n".
.log.trs:
	rm -f $< $@
	$(MAKE) $(AM_MAKEFLAGS) $<

# Leading 'am--fnord' is there to ensure the list of targets does not
# expand to empty, as could happen e.g. with make check TESTS=''.
am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
am--force-recheck:
	@:

$(TEST_SUITE_LOG): $(TEST_LOGS)
	@$(am__set_TESTS_bases); \
	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
	redo_bases=`for i in $$bases; do \
	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
	            done`; \
	if test -n "$$redo_bases"; then \
	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
	  if $(am__make_dryrun); then :; else \
	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
	  fi; \
	fi; \
	if test -n "$$am__remaking_logs"; then \
	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
	       "recursion detected" >&2; \
	elif test -n "$$redo_logs"; then \
	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
	fi; \
	if $(am__make_dryrun); then :; else \
	  st=0;  \
	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
	  for i in $$redo_bases; do \
	    test -f $$i.trs && test -r $$i.trs \
	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
	    test -f $$i.log && test -r $$i.log \
	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
	  done; \
	  test $$st -eq 0 || exit 1; \
	fi
	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
	ws='[ 	]'; \
	results=`for b in $$bases; do echo $$b.trs; done`; \
	test -n "$$results" || results=/dev/null; \
	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
	  success=true; \
	else \
	  success=false; \
	fi; \
	br='==================='; br=$$br$$br$$br$$br; \
	result_count () \
	{ \
	    if test x"$$1" = x"--maybe-color"; then \
	      maybe_colorize=yes; \
	    elif test x"$$1" = x"--no-color"; then \
	      maybe_colorize=no; \
	    else \
	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
	    fi; \
	    shift; \
	    desc=$$1 count=$$2; \
	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
	      color_start=$$3 color_end=$$std; \
	    else \
	      color_start= color_end=; \
	    fi; \
	    echo "$${color_start}# $$desc $$count$${color_end}"; \
	}; \
	create_testsuite_report () \
	{ \
	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
	  result_count $$1 "PASS: " $$pass  "$$grn"; \
	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
	  result_count $$1 "FAIL: " $$fail  "$$red"; \
	  result_count $$1 "XPASS:" $$xpass "$$red"; \
	  result_count $$1 "ERROR:" $$error "$$mgn"; \
	}; \
	{								\
	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
	    $(am__rst_title);						\
	  create_testsuite_report --no-color;				\
	  echo;								\
	  echo ".. contents:: :depth: 2";				\
	  echo;								\
	  for b in $$bases; do echo $$b; done				\
	    | $(am__create_global_log);					\
	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
	if $$success; then						\
	  col="$$grn";							\
	 else								\
	  col="$$red";							\
	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
	fi;								\
	echo "$${col}$$br$${std}"; 					\
	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
	echo "$${col}$$br$${std}"; 					\
	create_testsuite_report --maybe-color;				\
	echo "$$col$$br$$std";						\
	if $$success; then :; else					\
	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
	  fi;								\
	  echo "$$col$$br$$std";					\
	fi;								\
	$$success || exit 1

check-TESTS: $(check_PROGRAMS)
	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
	@set +e; $(am__set_TESTS_bases); \
	log_list=`for i in $$bases; do echo $$i.log; done`; \
	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
	exit $$?;
recheck: all $(check_PROGRAMS)
	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
	@set +e; $(am__set_TESTS_bases); \
	bases=`for i in $$bases; do echo $$i; done \
	         | $(am__list_recheck_tests)` || exit 1; \
	log_list=`for i in $$bases; do echo $$i.log; done`; \
	log_list=`echo $$log_list`; \
	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
	        am__force_recheck=am--force-recheck \
	        TEST_LOGS="$$log_list"; \
	exit $$?
.sh.log:
	@p='$<'; \
	$(am__set_b); \
	$(am__check_pre) $(SH_LOG_DRIVER) --test-name "$$f" \
	--log-file $$b.log --trs-file $$b.trs \
	$(am__common_driver_flags) $(AM_SH_LOG_DRIVER_FLAGS) $(SH_LOG_DRIVER_FLAGS) -- $(SH_LOG_COMPILE) \
	"$$tst" $(AM_TESTS_FD_REDIRECT)
@am__EXEEXT_TRUE@.sh$(EXEEXT).log:
@am__EXEEXT_TRUE@	@p='$<'; \
@am__EXEEXT_TRUE@	$(am__set_b); \
@am__EXEEXT_TRUE@	$(am__check_pre) $(SH_LOG_DRIVER) --test-name "$$f" \
@am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
@am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_SH_LOG_DRIVER_FLAGS) $(SH_LOG_DRIVER_FLAGS) -- $(SH_LOG_COMPILE) \
@am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
.py.log:
	@p='$<'; \
	$(am__set_b); \
	$(am__check_pre) $(PY_LOG_DRIVER) --test-name "$$f" \
	--log-file $$b.log --trs-file $$b.trs \
	$(am__common_driver_flags) $(AM_PY_LOG_DRIVER_FLAGS) $(PY_LOG_DRIVER_FLAGS) -- $(PY_LOG_COMPILE) \
	"$$tst" $(AM_TESTS_FD_REDIRECT)
@am__EXEEXT_TRUE@.py$(EXEEXT).log:
@am__EXEEXT_TRUE@	@p='$<'; \
@am__EXEEXT_TRUE@	$(am__set_b); \
@am__EXEEXT_TRUE@	$(am__check_pre) $(PY_LOG_DRIVER) --test-name "$$f" \
@am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
@am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_PY_LOG_DRIVER_FLAGS) $(PY_LOG_DRIVER_FLAGS) -- $(PY_LOG_COMPILE) \
@am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)

distdir: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) distdir-am

distdir-am: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
	$(MAKE) $(AM_MAKEFLAGS) \
	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
	  dist-hook
check-am: all-am
	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
	$(MAKE) $(AM_MAKEFLAGS) check-TESTS check-local
check: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) check-am
all-am: Makefile $(PROGRAMS) all-local
installdirs:
	for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(pkgpythondir)" "$(DESTDIR)$(pymoduledir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:
	-test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
clean: clean-am

clean-am: clean-binPROGRAMS clean-checkPROGRAMS clean-generic \
	clean-libtool clean-local mostlyclean-am

distclean: distclean-am
		-rm -f ./$(DEPDIR)/ComputeAntennaPattern.Po
	-rm -f ./$(DEPDIR)/FstatMetric_v2.Po
	-rm -f ./$(DEPDIR)/PrintDetectorState.Po
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-tags

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am: install-pkgpythonPYTHON install-pymodulePYTHON

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am: install-binPROGRAMS install-exec-local

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
		-rm -f ./$(DEPDIR)/ComputeAntennaPattern.Po
	-rm -f ./$(DEPDIR)/FstatMetric_v2.Po
	-rm -f ./$(DEPDIR)/PrintDetectorState.Po
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool mostlyclean-local

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-binPROGRAMS uninstall-local \
	uninstall-pkgpythonPYTHON uninstall-pymodulePYTHON

.MAKE: all check check-am install install-am install-strip

.PHONY: CTAGS GTAGS TAGS all all-am all-local am--depfiles check \
	check-TESTS check-am check-local clean clean-binPROGRAMS \
	clean-checkPROGRAMS clean-generic clean-libtool clean-local \
	cscopelist-am ctags ctags-am dist-hook distclean \
	distclean-compile distclean-generic distclean-libtool \
	distclean-tags distdir dvi dvi-am html html-am info info-am \
	install install-am install-binPROGRAMS install-data \
	install-data-am install-dvi install-dvi-am install-exec \
	install-exec-am install-exec-local install-html \
	install-html-am install-info install-info-am install-man \
	install-pdf install-pdf-am install-pkgpythonPYTHON install-ps \
	install-ps-am install-pymodulePYTHON install-strip \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-compile \
	mostlyclean-generic mostlyclean-libtool mostlyclean-local pdf \
	pdf-am ps ps-am recheck tags tags-am uninstall uninstall-am \
	uninstall-binPROGRAMS uninstall-local \
	uninstall-pkgpythonPYTHON uninstall-pymodulePYTHON

.PRECIOUS: Makefile

.PHONY: clean-local-test-dirs
.PHONY: clean-tested-logs
.PHONY: gen-tested-programs-log
.PHONY: test-ref-tarball-dist-hook

check-local: gen-tested-programs-log
clean-local: clean-local-test-dirs clean-tested-logs

all-local: $(test_helpers)

gen-tested-programs-log:
	@echo "# $(abs_builddir)/.tested_programs.log" > .tested_programs.log; \
	if test "X$(TESTS)" != X; then \
		echo 'programs $(subdir) $(bin_PROGRAMS)' >> .tested_programs.log; \
	fi

clean-tested-logs:
	-rm -f .tested_*.log

clean-local-test-dirs:
	@for file in $(test_scripts); do \
		scriptname=; \
		case $${file} in \
			*.sh) \
				scriptname=`expr "X$${file}" : "X\([^/]*\)\.sh$$"`; \
				;; \
			*.py) \
				scriptname=`expr "X$${file}" : "X\([^/]*\)\.py$$"`; \
				;; \
		esac; \
		if test "X$${scriptname}" != X; then \
			echo " rm -rf $${scriptname}.testdir/"; \
			rm -rf $${scriptname}.testdir/ || exit 1; \
		fi; \
	done

dist-hook: test-ref-tarball-dist-hook
	@for file in $(test_scripts); do \
		scriptname=; \
		case $${file} in \
			*.sh) \
				scriptname=`expr "X$${file}" : "X\([^/]*\)\.sh$$"`; \
				;; \
			*.py) \
				scriptname=`expr "X$${file}" : "X\([^/]*\)\.py$$"`; \
				;; \
		esac; \
		if test "X$${scriptname}" != X && test -r "$(srcdir)/$${scriptname}.tar.gz"; then \
			cp "$(srcdir)/$${scriptname}.tar.gz" "$(distdir)/$${scriptname}.tar.gz"; \
		fi; \
	done

%.pyman: %.py
	$(AM_V_GEN)$(HELP2MAN) --no-discard-stderr --no-info --source=$(PACKAGE_NAME) --version-string=$(PACKAGE_VERSION) -o $@ $(builddir)/$*

%.man: %
	$(AM_V_GEN)$(HELP2MAN) --libtool --no-discard-stderr --no-info --source=$(PACKAGE_NAME) --version-string=$(PACKAGE_VERSION) -o $@.tmp $(builddir)/$* && \
	$(SED) -e 's|lt\\-||g;s|$(abs_builddir)/.libs/||g' $@.tmp > $@ && rm -f $@.tmp

.PHONY: pymodule-all-local
.PHONY: pyscripts-all-local
.PHONY: pymodule-mostlyclean-local
.PHONY: pyscripts-mostlyclean-local
.PHONY: py-mostlyclean-local
.PHONY: pybin-install-exec-local
.PHONY: pybin-uninstall-local
.PHONY: pybin-dist-hook

all-local: pymodule-all-local pyscripts-all-local
mostlyclean-local: pymodule-mostlyclean-local pyscripts-mostlyclean-local py-mostlyclean-local
install-exec-local: pybin-install-exec-local
uninstall-local: pybin-uninstall-local
dist-hook: pybin-dist-hook

@HAVE_PYTHON_TRUE@pymodule-all-local:
@HAVE_PYTHON_TRUE@	$(AM_V_at)if test "x$(builddir)" != "x$(srcdir)"; then \
@HAVE_PYTHON_TRUE@		for file in $(pymodule_PYTHON); do \
@HAVE_PYTHON_TRUE@			if test -r "$(srcdir)/$${file}"; then \
@HAVE_PYTHON_TRUE@				rm -f "$(builddir)/$${file}" || exit 1; \
@HAVE_PYTHON_TRUE@				$(LN_S) "$(srcdir)/$${file}" "$(builddir)/$${file}" || exit 1; \
@HAVE_PYTHON_TRUE@			fi; \
@HAVE_PYTHON_TRUE@		done; \
@HAVE_PYTHON_TRUE@	fi
@HAVE_PYTHON_TRUE@pyscripts-all-local:
@HAVE_PYTHON_TRUE@	$(AM_V_at)if test "x$(builddir)" != "x$(srcdir)"; then \
@HAVE_PYTHON_TRUE@		for file in $(pybin_scripts) $(noinst_pybin_scripts); do \
@HAVE_PYTHON_TRUE@			if test -r "$(srcdir)/$${file}.py"; then \
@HAVE_PYTHON_TRUE@				rm -f "$(builddir)/$${file}.py" || exit 1; \
@HAVE_PYTHON_TRUE@				cp -p "$(srcdir)/$${file}.py" "$(builddir)/$${file}.py" || exit 1; \
@HAVE_PYTHON_TRUE@			fi; \
@HAVE_PYTHON_TRUE@		done; \
@HAVE_PYTHON_TRUE@	fi

@HAVE_PYTHON_TRUE@pymodule-mostlyclean-local:
@HAVE_PYTHON_TRUE@	$(AM_V_at)if test "x$(builddir)" != "x$(srcdir)"; then \
@HAVE_PYTHON_TRUE@		for file in $(pymodule_PYTHON); do \
@HAVE_PYTHON_TRUE@			if test -r "$(srcdir)/$${file}"; then \
@HAVE_PYTHON_TRUE@				echo " rm -f $(builddir)/$${file}"; \
@HAVE_PYTHON_TRUE@				rm -f "$(builddir)/$${file}" || exit 1; \
@HAVE_PYTHON_TRUE@			fi; \
@HAVE_PYTHON_TRUE@		done; \
@HAVE_PYTHON_TRUE@	fi; \
@HAVE_PYTHON_TRUE@	for file in $(pymodule_PYTHON); do \
@HAVE_PYTHON_TRUE@		echo " rm -f $(builddir)/$${file}c $(builddir)/$${file}o"; \
@HAVE_PYTHON_TRUE@		rm -f "$(builddir)/$${file}c" "$(builddir)/$${file}o" || exit 1; \
@HAVE_PYTHON_TRUE@	done
@HAVE_PYTHON_TRUE@pyscripts-mostlyclean-local:
@HAVE_PYTHON_TRUE@	$(AM_V_at)if test "x$(builddir)" != "x$(srcdir)"; then \
@HAVE_PYTHON_TRUE@		for file in $(pybin_scripts) $(noinst_pybin_scripts); do \
@HAVE_PYTHON_TRUE@			if test -r "$(srcdir)/$${file}.py"; then \
@HAVE_PYTHON_TRUE@				echo " rm -f $(builddir)/$${file}.py"; \
@HAVE_PYTHON_TRUE@				rm -f "$(builddir)/$${file}.py" || exit 1; \
@HAVE_PYTHON_TRUE@			fi; \
@HAVE_PYTHON_TRUE@		done; \
@HAVE_PYTHON_TRUE@	fi
@HAVE_PYTHON_TRUE@py-mostlyclean-local:
@HAVE_PYTHON_TRUE@	-rm -rf __pycache__ .pytest_cache junit*.xml
@HAVE_PYTHON_TRUE@	-for file in $(pybin_scripts) $(noinst_pybin_scripts); do rm -f .libs/$${file}.bin .libs/$${file}.py; done

@HAVE_PYTHON_TRUE@$(pybin_scripts) $(noinst_pybin_scripts): Makefile pyscripts-all-local
@HAVE_PYTHON_TRUE@.py:
@HAVE_PYTHON_TRUE@	$(AM_V_GEN)shebang='#!'; dummy_shebang='##(in place of shebang, for consistent line numbers)'; \
@HAVE_PYTHON_TRUE@	$(MKDIR_P) .libs || exit 1; \
@HAVE_PYTHON_TRUE@	rm -f $@ || exit 1; \
@HAVE_PYTHON_TRUE@	if test -x $(srcdir)/$@.py; then \
@HAVE_PYTHON_TRUE@		printf "\nERROR: $(srcdir)/$@.py must not be executable\n\n" >&2; \
@HAVE_PYTHON_TRUE@		exit 1; \
@HAVE_PYTHON_TRUE@	fi; \
@HAVE_PYTHON_TRUE@	if test "x`$(SED) -n -e /^$${shebang}/p $(srcdir)/$@.py`" != x; then \
@HAVE_PYTHON_TRUE@		printf "\nERROR: $(srcdir)/$@.py must not contain a $${shebang} command line\n\n" >&2; \
@HAVE_PYTHON_TRUE@		exit 1; \
@HAVE_PYTHON_TRUE@	fi; \
@HAVE_PYTHON_TRUE@	echo "$${shebang}/bin/sh" > .libs/$@.bin; \
@HAVE_PYTHON_TRUE@	echo "LAL_DATA_PATH=\"$(abs_top_srcdir)/lib:$(abs_top_srcdir)/test:$(LAL_DATA_PATH)\"" | $(SED) 's|:::*|:|g' >> .libs/$@.bin; \
@HAVE_PYTHON_TRUE@	echo "export LAL_DATA_PATH" >> .libs/$@.bin; \
@HAVE_PYTHON_TRUE@	echo "PYTHONPATH=\"$(abs_builddir):$(abs_srcdir):$(LAL_PYTHON_PATH):\$${PYTHONPATH}\"" | $(SED) 's|:::*|:|g' >> .libs/$@.bin; \
@HAVE_PYTHON_TRUE@	echo "export PYTHONPATH" >> .libs/$@.bin; \
@HAVE_PYTHON_TRUE@	echo "test -d '$(abs_builddir)/.libs' || mkdir '$(abs_builddir)/.libs' >/dev/null 2>&1" >> .libs/$@.bin; \
@HAVE_PYTHON_TRUE@	echo "echo '$${dummy_shebang}' > '$(abs_builddir)/.libs/$@.py'" >> .libs/$@.bin; \
@HAVE_PYTHON_TRUE@	echo "$(SED) -e 's|@LALSUITE_BINDIR@|$(abs_builddir)|g' '$(abs_srcdir)/$@.py' >> '$(abs_builddir)/.libs/$@.py' || exit 1" >> .libs/$@.bin; \
@HAVE_PYTHON_TRUE@	echo "exec $(uninstalled_compiler) $(PYTHON) '$(abs_builddir)/.libs/$@.py' \"\$$@\"" >> .libs/$@.bin; \
@HAVE_PYTHON_TRUE@	echo "exit 1" >> .libs/$@.bin; \
@HAVE_PYTHON_TRUE@	chmod +x .libs/$@.bin || exit 1; \
@HAVE_PYTHON_TRUE@	mv -f .libs/$@.bin $@

@HAVE_PYTHON_TRUE@pybin-install-exec-local:
@HAVE_PYTHON_TRUE@	$(AM_V_GEN)shebang='#!'; dummy_shebang='##(in place of shebang, for consistent line numbers)'; \
@HAVE_PYTHON_TRUE@	$(MKDIR_P) .libs || exit 1; \
@HAVE_PYTHON_TRUE@	if test "x$(pybin_scripts)" != x; then \
@HAVE_PYTHON_TRUE@		pypath="$(pyexecdir)"; \
@HAVE_PYTHON_TRUE@		if test "$(pythondir)" != "$(pyexecdir)"; then \
@HAVE_PYTHON_TRUE@			pypath="$${pypath}:$(pythondir)"; \
@HAVE_PYTHON_TRUE@		fi; \
@HAVE_PYTHON_TRUE@		echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
@HAVE_PYTHON_TRUE@		$(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
@HAVE_PYTHON_TRUE@		if test "x$(exec_prefix)" != "x$(python_exec_prefix)"; then \
@HAVE_PYTHON_TRUE@			echo " $(MKDIR_P) '$(DESTDIR)$(pkglibexecdir)'"; \
@HAVE_PYTHON_TRUE@			$(MKDIR_P) "$(DESTDIR)$(pkglibexecdir)" || exit 1; \
@HAVE_PYTHON_TRUE@		fi; \
@HAVE_PYTHON_TRUE@		for file in $(pybin_scripts); do \
@HAVE_PYTHON_TRUE@			if test "x$(exec_prefix)" = "x$(python_exec_prefix)"; then \
@HAVE_PYTHON_TRUE@				echo "$${shebang}$(PYTHON)" > .libs/$${file}.bin; \
@HAVE_PYTHON_TRUE@				$(SED) -e 's|@LALSUITE_BINDIR@|$(bindir)|g' "$(srcdir)/$${file}.py" >> .libs/$${file}.bin || exit 1; \
@HAVE_PYTHON_TRUE@			else \
@HAVE_PYTHON_TRUE@				echo "$${shebang}/bin/sh" > .libs/$${file}.bin; \
@HAVE_PYTHON_TRUE@				echo "PYTHONPATH=\"$${pypath}:\$${PYTHONPATH}\"" >> .libs/$${file}.bin; \
@HAVE_PYTHON_TRUE@				echo "export PYTHONPATH" >> .libs/$${file}.bin; \
@HAVE_PYTHON_TRUE@				echo "exec $(PYTHON) '$(pkglibexecdir)/$${file}.py' \"\$$@\"" >> .libs/$${file}.bin; \
@HAVE_PYTHON_TRUE@				echo "exit 1" >> .libs/$${file}.bin; \
@HAVE_PYTHON_TRUE@				$(MKDIR_P) "$(builddir)/.libs" || exit 1; \
@HAVE_PYTHON_TRUE@				echo "$${dummy_shebang}" > "$(builddir)/.libs/$${file}.py"; \
@HAVE_PYTHON_TRUE@				$(SED) -e 's|@LALSUITE_BINDIR@|$(bindir)|g' "$(srcdir)/$${file}.py" >> "$(builddir)/.libs/$${file}.py" || exit 1; \
@HAVE_PYTHON_TRUE@				echo " $(INSTALL_DATA) $(builddir)/.libs/$${file}.py '$(DESTDIR)$(pkglibexecdir)/$${file}.py'"; \
@HAVE_PYTHON_TRUE@				$(INSTALL_DATA) "$(builddir)/.libs/$${file}.py" "$(DESTDIR)$(pkglibexecdir)/$${file}.py" || exit 1; \
@HAVE_PYTHON_TRUE@			fi; \
@HAVE_PYTHON_TRUE@			echo " $(INSTALL_SCRIPT) .libs/$${file}.bin '$(DESTDIR)$(bindir)/$${file}'"; \
@HAVE_PYTHON_TRUE@			$(INSTALL_SCRIPT) .libs/$${file}.bin "$(DESTDIR)$(bindir)/$${file}" || exit 1; \
@HAVE_PYTHON_TRUE@		done; \
@HAVE_PYTHON_TRUE@	fi

@HAVE_PYTHON_TRUE@pybin-uninstall-local:
@HAVE_PYTHON_TRUE@	-for file in $(pybin_scripts); do \
@HAVE_PYTHON_TRUE@		rm -f "$(DESTDIR)$(bindir)/$${file}"; \
@HAVE_PYTHON_TRUE@		if test "x$(exec_prefix)" != "x$(python_exec_prefix)"; then \
@HAVE_PYTHON_TRUE@			rm -f "$(DESTDIR)$(pkglibexecdir)/$${file}.py"; \
@HAVE_PYTHON_TRUE@		fi; \
@HAVE_PYTHON_TRUE@	done

@HAVE_PYTHON_TRUE@pybin-dist-hook:
@HAVE_PYTHON_TRUE@	for file in $(pybin_scripts) $(noinst_pybin_scripts); do \
@HAVE_PYTHON_TRUE@		cp "$(srcdir)/$${file}.py" "$(distdir)/$${file}.py"; \
@HAVE_PYTHON_TRUE@	done

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
